Bug 854865 - ami-b316a0da 5.9 x86_64 us-east-1
ami-b316a0da 5.9 x86_64 us-east-1
Status: CLOSED CURRENTRELEASE
Product: Cloud Image Validation
Classification: Red Hat
Component: images (Show other bugs)
unspecified
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: wes hayutin
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 03:50 EDT by Vitaly Kuznetsov
Modified: 2013-02-13 10:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:29:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ec2-50-16-176-144.compute-1.amazonaws.com.log (147.89 KB, text/plain)
2012-09-12 10:53 EDT, Vitaly Kuznetsov
no flags Details
ec2-75-101-174-79.compute-1.amazonaws.com.log (147.69 KB, text/plain)
2012-09-12 10:54 EDT, Vitaly Kuznetsov
no flags Details
ec2-23-20-127-24.compute-1.amazonaws.com.log (147.71 KB, text/plain)
2012-09-12 10:54 EDT, Vitaly Kuznetsov
no flags Details
ec2-204-236-252-132.compute-1.amazonaws.com.log (147.71 KB, text/plain)
2012-09-12 10:57 EDT, Vitaly Kuznetsov
no flags Details
ec2-174-129-74-224.compute-1.amazonaws.com.log (147.71 KB, text/plain)
2012-09-12 11:00 EDT, Vitaly Kuznetsov
no flags Details
ec2-23-20-237-186.compute-1.amazonaws.com.log (147.70 KB, text/plain)
2012-09-12 11:04 EDT, Vitaly Kuznetsov
no flags Details
ec2-107-22-86-229.compute-1.amazonaws.com.log (147.87 KB, text/plain)
2012-09-12 11:05 EDT, Vitaly Kuznetsov
no flags Details

  None (edit)
Description Vitaly Kuznetsov 2012-09-06 03:50:51 EDT

    
Comment 1 Vitaly Kuznetsov 2012-09-06 07:31:00 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:28:17 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-174-129-87-22.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-1c8b3066 , Instance Type : m1.xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : F8yX0lO7XYd9d7tOErLXvnEXbJ0eRUwnUJL3Zsk6S8kwHVSzcnZ+vpEV9akrncziN1nbIs86q8yd
9MC0fAMOQ2F0ceGNF3m6Uae/rNhJDVUxXpdksytfcfA7p9wOR3CM7oVW0434XiBQFEk0gZRs/Dbf
F70ZaNv35XEW4mSsDNQ=
/root/valid/src
domU-12-31-39-04-08-01
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-174-129-87-22.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-1c8b3066 , Instance Type : m1.xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : F8yX0lO7XYd9d7tOErLXvnEXbJ0eRUwnUJL3Zsk6S8kwHVSzcnZ+vpEV9akrncziN1nbIs86q8yd
9MC0fAMOQ2F0ceGNF3m6Uae/rNhJDVUxXpdksytfcfA7p9wOR3CM7oVW0434XiBQFEk0gZRs/Dbf
F70ZaNv35XEW4mSsDNQ=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 15728640 > hwp MEMORY of 15000000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
domU-12-31-39-04-08-01
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 2 Vitaly Kuznetsov 2012-09-06 07:31:04 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 3 Vitaly Kuznetsov 2012-09-06 07:31:08 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.3 MB/s | 1.7 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 4 Vitaly Kuznetsov 2012-09-06 07:31:49 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:29:20 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-20-5-145.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-a68a31dc , Instance Type : m1.large and Arch : x86_64 in the Region : us-east-1d
The Validate Signature is : LkV70yj+tNaFT+JNWPv4kPnwk22SmEHnRPltwxWAx4HBSOXOq8QfxmvAkixMT+JEG72+fFaXdssK
0pWGqlHAAQW5wqvB9tcch5m5wzcDO6cZjaELFpmKkGNvxNaW5UyUeCvXUrtNOBboTHlxvj3lt/F0
FeQ/XTFCop/SNCBlfZY=
/root/valid/src
ip-10-243-94-143
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-20-5-145.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-a68a31dc , Instance Type : m1.large and Arch : x86_64 in the Region : us-east-1d
The Validate Signature is : LkV70yj+tNaFT+JNWPv4kPnwk22SmEHnRPltwxWAx4HBSOXOq8QfxmvAkixMT+JEG72+fFaXdssK
0pWGqlHAAQW5wqvB9tcch5m5wzcDO6cZjaELFpmKkGNvxNaW5UyUeCvXUrtNOBboTHlxvj3lt/F0
FeQ/XTFCop/SNCBlfZY=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 7864320 > hwp MEMORY of 7500000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-243-94-143
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 5 Vitaly Kuznetsov 2012-09-06 07:31:53 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 6 Vitaly Kuznetsov 2012-09-06 07:31:58 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.2 MB/s | 1.7 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 7 Vitaly Kuznetsov 2012-09-06 07:31:59 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:29:50 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-50-19-60-138.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-b48932ce , Instance Type : m2.xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : D5dFYopgfJQ5nKd8adkkDDMFLkUSSscT7TUVCiM9k3cm5SpoBojlsWoE6LfRUMG+39VulCSrdYiS
ap+K6qI80ogtiUPZw/L4cTb36mTF6DeNb9pUhoP74Q90YdC+hEuIBT4Pl+JMqcITwh+YnzquCoc1
16z81rXxjAB/HUFASs0=
/root/valid/src
domU-12-31-39-18-2A-06
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-50-19-60-138.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-b48932ce , Instance Type : m2.xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : D5dFYopgfJQ5nKd8adkkDDMFLkUSSscT7TUVCiM9k3cm5SpoBojlsWoE6LfRUMG+39VulCSrdYiS
ap+K6qI80ogtiUPZw/L4cTb36mTF6DeNb9pUhoP74Q90YdC+hEuIBT4Pl+JMqcITwh+YnzquCoc1
16z81rXxjAB/HUFASs0=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 17920000 > hwp MEMORY of 17100000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
domU-12-31-39-18-2A-06
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 8 Vitaly Kuznetsov 2012-09-06 07:32:03 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 9 Vitaly Kuznetsov 2012-09-06 07:32:06 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.9 MB/s | 1.7 MB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 10 Vitaly Kuznetsov 2012-09-06 07:32:19 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:30:15 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-184-72-159-173.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-b48833ce , Instance Type : m2.2xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : RTrm19rXLycIjzNiSKNq4uPItiB6bnD973g9A0s74QMgTnIXE055NoZv2WAsw3iiuqvxCc5WVaOX
EEraygobB7Iz+2LpO0DUqhkGNHGu/oUektN6Fxdoc0T1LZaGICdUbEz+k/OYyuJJtDiPpgmVfNzK
9S2409RZisX/VTMprkY=
/root/valid/src
ip-10-66-42-6
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-184-72-159-173.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-b48833ce , Instance Type : m2.2xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : RTrm19rXLycIjzNiSKNq4uPItiB6bnD973g9A0s74QMgTnIXE055NoZv2WAsw3iiuqvxCc5WVaOX
EEraygobB7Iz+2LpO0DUqhkGNHGu/oUektN6Fxdoc0T1LZaGICdUbEz+k/OYyuJJtDiPpgmVfNzK
9S2409RZisX/VTMprkY=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 35840000 > hwp MEMORY of 34200000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-66-42-6
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 11 Vitaly Kuznetsov 2012-09-06 07:32:23 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 12 Vitaly Kuznetsov 2012-09-06 07:32:26 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.6 MB/s | 1.7 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 13 Vitaly Kuznetsov 2012-09-06 07:33:09 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:28:50 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-22-123-58.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-6e8a3114 , Instance Type : t1.micro and Arch : x86_64 in the Region : us-east-1a
The Validate Signature is : P6AsesDsOr5ZauFT9ce5ZgeMjpA7/HbQlOi6EHTqxC9NWTl0BCX2+n4u1X8SAyz46mpfgtI6tkXh
tiMbGJA/U0N9FMS09zbCeaXxBTXEb+V28Dmnue2cBB1VyTYcbiKlBfL0xTwdLNX9XpgsJXFzftPy
MPnhCCS7tFypBQMOuVg=
/root/valid/src
domU-12-31-38-07-34-CC
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-22-123-58.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-6e8a3114 , Instance Type : t1.micro and Arch : x86_64 in the Region : us-east-1a
The Validate Signature is : P6AsesDsOr5ZauFT9ce5ZgeMjpA7/HbQlOi6EHTqxC9NWTl0BCX2+n4u1X8SAyz46mpfgtI6tkXh
tiMbGJA/U0N9FMS09zbCeaXxBTXEb+V28Dmnue2cBB1VyTYcbiKlBfL0xTwdLNX9XpgsJXFzftPy
MPnhCCS7tFypBQMOuVg=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 629760 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
domU-12-31-38-07-34-CC
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 14 Vitaly Kuznetsov 2012-09-06 07:33:16 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 15 Vitaly Kuznetsov 2012-09-06 07:33:21 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.1 MB/s | 1.7 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds02.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds02.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 16 Vitaly Kuznetsov 2012-09-06 07:33:29 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:30:41 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-20-142-251.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-1c8f3466 , Instance Type : m2.4xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : bSQU7DFmLmzXabfSBMtvXYsZMa8V+cVz43jGS+9RJHmtGmV5bBcvyJvSdJRb/dj/dD7myf/VvD8d
aFE4UOsf8SEmOb9qhQpXCdrP+oHchUjz1b6oHtKVuokYVxNcCsREiMkdEMcmJ03bP8ieXqgOHzra
BtVBHcAjyYeKN859kFI=
/root/valid/src
ip-10-50-234-143
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-20-142-251.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-1c8f3466 , Instance Type : m2.4xlarge and Arch : x86_64 in the Region : us-east-1c
The Validate Signature is : bSQU7DFmLmzXabfSBMtvXYsZMa8V+cVz43jGS+9RJHmtGmV5bBcvyJvSdJRb/dj/dD7myf/VvD8d
aFE4UOsf8SEmOb9qhQpXCdrP+oHchUjz1b6oHtKVuokYVxNcCsREiMkdEMcmJ03bP8ieXqgOHzra
BtVBHcAjyYeKN859kFI=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 71680000 > hwp MEMORY of 68400000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-50-234-143
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 17 Vitaly Kuznetsov 2012-09-06 07:33:33 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 18 Vitaly Kuznetsov 2012-09-06 07:33:37 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.7 MB/s | 1.7 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 19 Vitaly Kuznetsov 2012-09-06 07:33:44 EDT
IMAGE ID= 
=====image_validation.sh Thu Sep 6 07:31:12 EDT 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-20-239-49.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-1a8d3660 , Instance Type : c1.xlarge and Arch : x86_64 in the Region : us-east-1d
The Validate Signature is : VUzsaqw6raaxuUROhKFv7HmtBsV0i3kScNKaTawNsH5tSYO8Vc9HaJ+7uJGTFJiGmNb+abmW6fft
4CDu2/nhoo25/QNlV7q1MwQB0IJe+fbsXORurG31WbEkzvkdeiWmGNJX3pKSJMxHIpuJMVlAK4Jr
9TwZzwQ5JmuFQYndxZM=
/root/valid/src
ip-10-39-77-116
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: 612ddf28c3916530d47ef56a1b1ed1ed
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: 123beb3a97a32d96eba4f11509e39da2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  cat ~/.bash_history | wc -l 
cat: /root/.bash_history: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep yum-updatesd | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rh-cloud-firstboot is OFF ... 
######################################################################################
COMMAND:  chkconfig --list | grep rh-cloud | grep 3:off | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/etc/sysconfig/rh-cloud-firstboot FOUND
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  cat /etc/sysconfig/rh-cloud-firstboot
RESULT: RUN_FIRSTBOOT=NO 
EXPECTED RESULT: RUN_FIRSTBOOT=NO
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/sda1 | awk '{ print  }'
COMMAND:  echo ext3
RESULT: ext3 
EXPECTED RESULT: ext3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904748
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-23-20-239-49.compute-1.amazonaws.com with Image Id : ami-b316a0da, is launched with Instance Id : i-1a8d3660 , Instance Type : c1.xlarge and Arch : x86_64 in the Region : us-east-1d
The Validate Signature is : VUzsaqw6raaxuUROhKFv7HmtBsV0i3kScNKaTawNsH5tSYO8Vc9HaJ+7uJGTFJiGmNb+abmW6fft
4CDu2/nhoo25/QNlV7q1MwQB0IJe+fbsXORurG31WbEkzvkdeiWmGNJX3pKSJMxHIpuJMVlAK4Jr
9TwZzwQ5JmuFQYndxZM=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-37017186-45761324
RESULT: gpg-pubkey-37017186-45761324 
EXPECTED RESULT: gpg-pubkey-37017186-45761324
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
COMMAND:  cat /etc/inittab | grep si:
RESULT: si::sysinit:/etc/rc.d/rc.sysinit 
EXPECTED RESULT: si::sysinit:/etc/rc.d/rc.sysinit
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
10   REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:631 | grep ACCEPT | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep dpt:5353 | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep RELATED,ESTABLISHED | grep ACCEPT | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep -e esp -e ah | grep ACCEPT | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/iptables status | grep REJECT | grep all | grep 0.0.0.0/0 | grep icmp-host-prohibited |  wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 7340032 > hwp MEMORY of 7000000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_5 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test failed
RESULT: test failed 
EXPECTED RESULT: 1
RETURN CODE: 0
FAIL2
test failed
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/sda1 15000M
resize2fs 1.39 (29-May-2006)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-39-77-116
Red Hat Enterprise Linux Server release 5.9 Beta (Tikanga)
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################
ami is a BETA
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: 15936b6fe4e8fadcea87b54de495f975 
EXPECTED RESULT: bd4e328df4b59d41979ef7202a05e074 OR 15936b6fe4e8fadcea87b54de495f975 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
Comment 20 Vitaly Kuznetsov 2012-09-06 07:33:48 EDT
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L...  c /etc/pam.d/system-auth
.M......  c /etc/sysconfig/iptables-config
.M......    /var/cache/yum
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 3 
EXPECTED RESULT: 3
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release | cut -d. -f1,2
RESULT: 5.9 
EXPECTED RESULT: 5.9
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Determining fastest mirrors
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
repo id                               repo name                           status
rhui-us-east-1-client-config-server-5 Red Hat Update Infrastructure 2.0 C      1
rhui-us-east-1-rhel-server            Red Hat Enterprise Linux Server 5 ( 13,990
repolist: 13,991 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
================================= Matched: zsh =================================
zsh.x86_64 : A powerful interactive shell
zsh-html.x86_64 : Zsh shell manual in html format 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Setting up Group Process
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Installed Groups:
   Editors
   FTP Server
   Legacy Network Server
   Legacy Software Development
   Legacy Software Support
   Mail Server
   MySQL Database
   PostgreSQL Database
   Server Configuration Tools
   System Tools
   Text-based Internet
   Web Server
Available Groups:
   Administration Tools
   Authoring and Publishing
   DNS Name Server
   Development Libraries
   Development Tools
   Engineering and Scientific
   GNOME Desktop Environment
   GNOME Software Development
   Games and Entertainment
   Graphical Internet
   Graphics
   Java Development
   KDE (K Desktop Environment)
   KDE Software Development
   Network Servers
   News Server
   Office/Productivity
   OpenFabrics Enterprise Distribution
   Printing Support
   Sound and Video
   Windows File Server
   X Software Development
   X Window System
Done 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Error: Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Setting up Group Process
Checking for new repos for mirrors
Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update.
Package 1:make-3.81-3.el5.x86_64 already installed and latest version
Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version
Package gettext-0.17-1.el5.x86_64 already installed and latest version
Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version
Package subversion-1.6.11-10.el5_8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package autoconf.noarch 0:2.59-12 set to be updated
--> Processing Dependency: imake for package: autoconf
---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated
---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated
---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated
---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated
---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated
---> Package bison.x86_64 0:2.3-2.1 set to be updated
---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated
---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated
---> Package ctags.x86_64 0:5.6-1.1 set to be updated
---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated
---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated
---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated
---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated
--> Processing Dependency: pyspi >= 0.6.0 for package: dogtail
--> Processing Dependency: xorg-x11-xinit for package: dogtail
--> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail
--> Processing Dependency: gnome-python2-gconf for package: dogtail
---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated
---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated
--> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils
--> Processing Dependency: libdw.so.1()(64bit) for package: elfutils
--> Processing Dependency: libasm.so.1()(64bit) for package: elfutils
---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
--> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran
---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated
---> Package gettext.i386 0:0.17-1.el5 set to be updated
--> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext
--> Processing Dependency: libgomp.so.1 for package: gettext
---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated
---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated
---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated
---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated
---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated
---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated
---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated
---> Package rcs.x86_64 0:5.7-30.1 set to be updated
---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build
--> Processing Dependency: xz for package: rpm-build
---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated
---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated
---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated
---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated
--> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap
--> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap
--> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap
---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated
---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated
---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated
--> Running transaction check
---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated
--> Processing Dependency: libdaemon for package: avahi
--> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi
---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf
--> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf
--> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf
--> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf
---> Package imake.x86_64 0:1.0.2-3 set to be updated
---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated
---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated
--> Processing Dependency: libspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi
--> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs
--> Processing Dependency: libelf.so.1 for package: rpm-libs
--> Processing Dependency: libbz2.so.1 for package: rpm-libs
---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated
---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated
--> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb
---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated
--> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit
--> Processing Dependency: xauth for package: xorg-x11-xinit
---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz
--> Processing Dependency: liblzma.so.0()(64bit) for package: xz
--> Running transaction check
---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated
---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated
--> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2
---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated
--> Processing Dependency: gail >= 1.5.0 for package: at-spi
--> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi
--> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi
--> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi
---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated
---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2
--> Processing Dependency: gnome-python2-bonobo for package: gnome-python2
--> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2
--> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2
---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated
---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated
---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated
--> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils
--> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils
---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated
---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated
--> Running transaction check
---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated
---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated
--> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo
---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated
--> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2
--> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2
--> Processing Dependency: shared-mime-info for package: gnome-vfs2
--> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2
---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated
---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated
---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated
---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated
---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated
---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated
---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated
--> Processing Dependency: libxslt >= 1.0.19 for package: libgnome
--> Processing Dependency: libesd.so.0()(64bit) for package: libgnome
--> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome
---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated
---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package audiofile.x86_64 1:0.2.6-5 set to be updated
---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated
---> Package esound.x86_64 1:0.2.36-4 set to be updated
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated
---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated
--> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated
---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated
--> Processing Dependency: desktop-notification-daemon for package: libnotify
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated
--> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated
--> Processing Dependency: startup-notification >= 0.5 for package: libwnck
--> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck
--> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
--> Running transaction check
---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++
---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran
---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated
--> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel
---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build
---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated
--> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs
---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated
--> Finished Dependency Resolution
rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server)
gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
Comment 21 Vitaly Kuznetsov 2012-09-06 07:33:52 EDT
libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems
  --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security Loading mirror speeds from cached hostfile amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com amazon_ec2_lib.py amazon_ec2.py amazon_terminate_all_instances.py delete_disks.py disk_partitions getAmiDetails_withCSV.py image_validation_postreboot.sh image_validation.sh installRHUI.sh packages packages_5 packages_6 packages_61 packages_62 packages_63 rebootAmi.py rhui_lib.py rhui_lib.pyc rpmVerifyTable swap_partitions test1.csv test2.csv test3.csv test4.csv testAMIsFromCSV.py testlib.sh validate.log validate.log.err validation.cfg rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com Setting up Group Process Checking for new repos for mirrors Package matching gcc-4.1.2-52.el5_8.1.x86_64 already installed. Checking for update. Package 1:make-3.81-3.el5.x86_64 already installed and latest version Package 1:pkgconfig-0.21-2.el5.x86_64 already installed and latest version Package gettext-0.17-1.el5.x86_64 already installed and latest version Package binutils-2.17.50.0.6-20.el5_8.3.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.x86_64 already installed and latest version Package subversion-1.6.11-10.el5_8.i386 already installed and latest version Resolving Dependencies --> Running transaction check ---> Package autoconf.noarch 0:2.59-12 set to be updated --> Processing Dependency: imake for package: autoconf ---> Package automake.noarch 0:1.9.6-2.3.el5 set to be updated ---> Package automake14.noarch 0:1.4p6-13.el5.1 set to be updated ---> Package automake15.noarch 0:1.5-16.el5.2 set to be updated ---> Package automake16.noarch 0:1.6.3-8.el5.1 set to be updated ---> Package automake17.noarch 0:1.7.9-7.el5.2 set to be updated ---> Package bison.x86_64 0:2.3-2.1 set to be updated ---> Package byacc.x86_64 0:1.9-29.2.2 set to be updated ---> Package cscope.x86_64 0:15.5-15.1.el5_3.1 set to be updated ---> Package ctags.x86_64 0:5.6-1.1 set to be updated ---> Package cvs.x86_64 0:1.11.22-11.el5_8.1 set to be updated ---> Package dev86.x86_64 0:0.16.17-2.2 set to be updated ---> Package diffstat.x86_64 0:1.41-1.2.3.el5 set to be updated ---> Package dogtail.noarch 0:0.6.1-4.el5 set to be updated --> Processing Dependency: pyspi >= 0.6.0 for package: dogtail --> Processing Dependency: xorg-x11-xinit for package: dogtail --> Processing Dependency: xorg-x11-server-Xvfb for package: dogtail --> Processing Dependency: gnome-python2-gconf for package: dogtail ---> Package doxygen.x86_64 1:1.4.7-1.1 set to be updated ---> Package elfutils.x86_64 0:0.137-3.el5 set to be updated --> Processing Dependency: elfutils-libs-x86_64 = 0.137-3.el5 for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.130)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.127)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.126)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1(ELFUTILS_0.122)(64bit) for package: elfutils --> Processing Dependency: libasm.so.1(ELFUTILS_1.0)(64bit) for package: elfutils --> Processing Dependency: libdw.so.1()(64bit) for package: elfutils --> Processing Dependency: libasm.so.1()(64bit) for package: elfutils ---> Package flex.x86_64 0:2.5.4a-41.fc6 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++-devel = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libgfortran = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran --> Processing Dependency: libgfortran.so.1()(64bit) for package: gcc-gfortran ---> Package gdb.x86_64 0:7.0.1-42.el5 set to be updated ---> Package gettext.i386 0:0.17-1.el5 set to be updated --> Processing Dependency: libgomp.so.1(GOMP_1.0) for package: gettext --> Processing Dependency: libgomp.so.1 for package: gettext ---> Package indent.x86_64 0:2.2.9-14.fc6 set to be updated ---> Package libtool.x86_64 0:1.5.22-7.el5_4 set to be updated ---> Package ltrace.x86_64 0:0.5-13.45svn.el5_7.12 set to be updated ---> Package oprofile.x86_64 0:0.9.4-20.el5 set to be updated ---> Package patchutils.x86_64 0:0.2.31-2.2.2 set to be updated ---> Package pstack.x86_64 0:1.2-7.2.2 set to be updated ---> Package python-ldap.x86_64 0:2.2.0-2.1 set to be updated ---> Package rcs.x86_64 0:5.7-30.1 set to be updated ---> Package redhat-rpm-config.noarch 0:8.0.45-32.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm-libs = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: popt = 1.10.2.3-28.el5_8 for package: rpm-build --> Processing Dependency: xz for package: rpm-build ---> Package splint.x86_64 0:3.1.1-16.el5 set to be updated ---> Package strace.x86_64 0:4.5.18-11.el5_8 set to be updated ---> Package swig.x86_64 0:1.3.29-2.el5 set to be updated ---> Package systemtap.x86_64 0:1.6-7.el5_8 set to be updated --> Processing Dependency: systemtap-runtime = 1.6-7.el5_8 for package: systemtap --> Processing Dependency: libavahi-common.so.3()(64bit) for package: systemtap --> Processing Dependency: libavahi-client.so.3()(64bit) for package: systemtap ---> Package texinfo.x86_64 0:4.8-14.el5 set to be updated ---> Package valgrind.i386 1:3.5.0-5.el5 set to be updated ---> Package valgrind.x86_64 1:3.5.0-5.el5 set to be updated --> Running transaction check ---> Package avahi.x86_64 0:0.6.16-10.el5_6 set to be updated --> Processing Dependency: libdaemon for package: avahi --> Processing Dependency: libdaemon.so.0()(64bit) for package: avahi ---> Package elfutils-libs.x86_64 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2-gconf.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2 = 2.16.0-1.fc6 for package: gnome-python2-gconf --> Processing Dependency: GConf2 >= 1.1.10 for package: gnome-python2-gconf --> Processing Dependency: libgconf-2.so.4()(64bit) for package: gnome-python2-gconf --> Processing Dependency: libORBit-2.so.0()(64bit) for package: gnome-python2-gconf ---> Package imake.x86_64 0:1.0.2-3 set to be updated ---> Package libgfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated ---> Package libgomp.i386 0:4.4.6-3.el5.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package popt.i386 0:1.10.2.3-28.el5_8 set to be updated ---> Package pyspi.x86_64 0:0.6.1-1.el5 set to be updated --> Processing Dependency: libspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libcspi.so.0()(64bit) for package: pyspi --> Processing Dependency: libbonobo-activation.so.4()(64bit) for package: pyspi --> Processing Dependency: libbonobo-2.so.0()(64bit) for package: pyspi ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.1.1) for package: rpm-libs --> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: rpm-libs --> Processing Dependency: libelf.so.1 for package: rpm-libs --> Processing Dependency: libbz2.so.1 for package: rpm-libs ---> Package systemtap-runtime.x86_64 0:1.6-7.el5_8 set to be updated ---> Package xorg-x11-server-Xvfb.x86_64 0:1.1.1-48.91.el5_8 set to be updated --> Processing Dependency: xorg-x11-fonts-base for package: xorg-x11-server-Xvfb ---> Package xorg-x11-xinit.x86_64 0:1.0.2-15.el5 set to be updated --> Processing Dependency: xorg-x11-server-utils for package: xorg-x11-xinit --> Processing Dependency: xauth for package: xorg-x11-xinit ---> Package xz.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Processing Dependency: xz-libs = 4.999.9-0.3.beta.20091007git.el5 for package: xz --> Processing Dependency: liblzma.so.0()(64bit) for package: xz --> Running transaction check ---> Package GConf2.x86_64 0:2.14.0-9.el5 set to be updated ---> Package ORBit2.x86_64 0:2.14.3-5.el5 set to be updated --> Processing Dependency: libIDL-2.so.0()(64bit) for package: ORBit2 ---> Package at-spi.x86_64 0:1.7.11-3.el5 set to be updated --> Processing Dependency: gail >= 1.5.0 for package: at-spi --> Processing Dependency: libgnomecanvas-2.so.0()(64bit) for package: at-spi --> Processing Dependency: libgailutil.so.18()(64bit) for package: at-spi --> Processing Dependency: libXevie.so.1()(64bit) for package: at-spi ---> Package bzip2-libs.i386 0:1.0.3-6.el5_5 set to be updated ---> Package elfutils-libelf.i386 0:0.137-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-python2.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: gnome-python2-gnomevfs for package: gnome-python2 --> Processing Dependency: gnome-python2-bonobo for package: gnome-python2 --> Processing Dependency: libgnomevfs-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnomeui-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-keyring.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libgnome-2.so.0()(64bit) for package: gnome-python2 --> Processing Dependency: libbonoboui-2.so.0()(64bit) for package: gnome-python2 ---> Package libbonobo.x86_64 0:2.16.0-1.1.el5_5.1 set to be updated ---> Package libdaemon.x86_64 0:0.10-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package xorg-x11-fonts-base.noarch 0:7.1-2.1.el5 set to be updated ---> Package xorg-x11-server-utils.x86_64 0:7.1-5.el5_6.2 set to be updated --> Processing Dependency: libXxf86vm.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXxf86misc.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXfontcache.so.1()(64bit) for package: xorg-x11-server-utils --> Processing Dependency: libXTrap.so.6()(64bit) for package: xorg-x11-server-utils ---> Package xorg-x11-xauth.x86_64 1:1.0.1-2.1 set to be updated ---> Package xz-libs.x86_64 0:4.999.9-0.3.beta.20091007git.el5 set to be updated --> Running transaction check ---> Package gail.x86_64 0:1.9.2-3.el5 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-keyring.x86_64 0:0.6.0-1.fc6 set to be updated ---> Package gnome-python2-bonobo.x86_64 0:2.16.0-1.fc6 set to be updated --> Processing Dependency: pyorbit >= 2.0.l for package: gnome-python2-bonobo ---> Package gnome-python2-gnomevfs.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package gnome-vfs2.x86_64 0:2.16.2-8.el5 set to be updated --> Processing Dependency: gnome-mount >= 0.4 for package: gnome-vfs2 --> Processing Dependency: gnome-mime-data >= 2.0.0-11 for package: gnome-vfs2 --> Processing Dependency: shared-mime-info for package: gnome-vfs2 --> Processing Dependency: libavahi-glib.so.1()(64bit) for package: gnome-vfs2 ---> Package libIDL.x86_64 0:0.8.7-1.fc6 set to be updated ---> Package libXTrap.x86_64 0:1.0.0-3.1 set to be updated ---> Package libXevie.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXfontcache.x86_64 0:1.0.2-3.1 set to be updated ---> Package libXxf86misc.x86_64 0:1.0.1-3.1 set to be updated ---> Package libXxf86vm.x86_64 0:1.0.1-3.1 set to be updated ---> Package libbonoboui.x86_64 0:2.16.0-1.fc6 set to be updated ---> Package libgnome.x86_64 0:2.16.0-6.el5 set to be updated --> Processing Dependency: libxslt >= 1.0.19 for package: libgnome --> Processing Dependency: libesd.so.0()(64bit) for package: libgnome --> Processing Dependency: libaudiofile.so.0()(64bit) for package: libgnome ---> Package libgnomecanvas.x86_64 0:2.14.0-4.1 set to be updated ---> Package libgnomeui.x86_64 0:2.16.0-5.el5 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package audiofile.x86_64 1:0.2.6-5 set to be updated ---> Package avahi-glib.x86_64 0:0.6.16-10.el5_6 set to be updated ---> Package esound.x86_64 1:0.2.36-4 set to be updated ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package gnome-mime-data.x86_64 0:2.4.2-3.1 set to be updated ---> Package gnome-mount.x86_64 0:0.5-3.el5 set to be updated --> Processing Dependency: libnotify.so.1()(64bit) for package: gnome-mount ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libxslt.x86_64 0:1.1.17-2.el5_2.2 set to be updated ---> Package pyorbit.x86_64 0:2.14.1-3.el5 set to be updated ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package shared-mime-info.x86_64 0:0.19-5.el5 set to be updated --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libnotify.x86_64 0:0.4.2-6.el5 set to be updated --> Processing Dependency: desktop-notification-daemon for package: libnotify ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package notification-daemon.x86_64 0:0.3.5-9.el5 set to be updated --> Processing Dependency: libwnck-1.so.18()(64bit) for package: notification-daemon ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package libwnck.x86_64 0:2.16.0-4.fc6 set to be updated --> Processing Dependency: startup-notification >= 0.5 for package: libwnck --> Processing Dependency: libstartup-notification-1.so.0()(64bit) for package: libwnck --> Processing Dependency: libXRes.so.1()(64bit) for package: libwnck ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs --> Running transaction check ---> Package gcc-c++.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: gcc-c++ --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-c++ ---> Package gcc-gfortran.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: gcc = 4.1.2-52.el5_8.1 for package: gcc-gfortran ---> Package libXres.x86_64 0:1.0.1-3.1 set to be updated ---> Package libstdc++-devel.x86_64 0:4.1.2-52.el5_8.1 set to be updated --> Processing Dependency: libstdc++ = 4.1.2-52.el5_8.1 for package: libstdc++-devel ---> Package rpm-build.x86_64 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-build ---> Package rpm-libs.i386 0:4.4.2.3-28.el5_8 set to be updated --> Processing Dependency: rpm = 4.4.2.3-28.el5_8 for package: rpm-libs ---> Package startup-notification.x86_64 0:0.8-4.1 set to be updated --> Finished Dependency Resolution rpm-build-4.4.2.3-28.el5_8.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-build-4.4.2.3-28.el5_8.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) rpm-libs-4.4.2.3-28.el5_8.i386 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: rpm = 4.4.2.3-28.el5_8 is needed by package rpm-libs-4.4.2.3-28.el5_8.i386 (rhui-us-east-1-rhel-server) gcc-gfortran-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: gcc = 4.1.2-52.el5_8.1 is needed by package gcc-gfortran-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) gcc-c++-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package gcc-c++-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) libstdc++-devel-4.1.2-52.el5_8.1.x86_64 from rhui-us-east-1-rhel-server has depsolving problems --> Missing Dependency: libstdc++ = 4.1.2-52.el5_8.1 is needed by package libstdc++-devel-4.1.2-52.el5_8.1.x86_64 (rhui-us-east-1-rhel-server) You could try using --skip-broken to work around the problem You could try running: package-cleanup --problems package-cleanup --dupes rpm -Va --nofiles --nodigest
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1 set to be updated
---> Package libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
---> Package libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch   Version               Repository                  Size
================================================================================
Updating:
 cyrus-sasl-gssapi
                  i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  29 k
 cyrus-sasl-lib   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server 126 k
 cyrus-sasl-md5   i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  46 k
 cyrus-sasl-plain i386   2.1.22-7.el5_8.1      rhui-us-east-1-rhel-server  27 k
 libxml2          x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 809 k
 libxml2-python   x86_64 2.6.26-2.1.15.el5_8.2 rhui-us-east-1-rhel-server 714 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       6 Package(s)

Total download size: 1.7 M
Downloading Packages:
--------------------------------------------------------------------------------
Total                                           1.6 MB/s | 1.7 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

  Updating       : libxml2                                                 1/12 

  Updating       : cyrus-sasl-lib                                          2/12 

  Updating       : libxml2-python                                          3/12 

  Updating       : cyrus-sasl-plain                                        4/12 

  Updating       : cyrus-sasl-gssapi                                       5/12 

  Updating       : cyrus-sasl-md5                                          6/12 

  Cleanup        : cyrus-sasl-plain                                        7/12 

  Cleanup        : cyrus-sasl-gssapi                                       8/12 

  Cleanup        : cyrus-sasl-md5                                          9/12 

  Cleanup        : libxml2                                                10/12 

  Cleanup        : cyrus-sasl-lib                                         11/12 

  Cleanup        : libxml2-python                                         12/12 

Updated:
  cyrus-sasl-gssapi.i386 0:2.1.22-7.el5_8.1                                     
  cyrus-sasl-lib.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-md5.i386 0:2.1.22-7.el5_8.1                                        
  cyrus-sasl-plain.i386 0:2.1.22-7.el5_8.1                                      
  libxml2.x86_64 0:2.6.26-2.1.15.el5_8.2                                        
  libxml2-python.x86_64 0:2.6.26-2.1.15.el5_8.2                                 

Complete! 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: zsh 
EXPECTED RESULT: zsh
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
RETURN CODE: 0
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
# no sys update found
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
RESULT: Loaded plugins: amazon-id, fastestmirror, rhui-lb, security
Loading mirror speeds from cached hostfile
 * rhui-us-east-1-client-config-server-5: rhui2-cds01.us-east-1.aws.ce.redhat.com
 * rhui-us-east-1-rhel-server: rhui2-cds01.us-east-1.aws.ce.redhat.com
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 22 Vitaly Kuznetsov 2012-09-06 07:38:53 EDT
IMAGE ID= ami-b316a0da_us-east-1_m1.xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 15728640 > hwp MEMORY of 15000000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 23 Vitaly Kuznetsov 2012-09-06 07:39:25 EDT
IMAGE ID= ami-b316a0da_us-east-1_m1.large
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 7864320 > hwp MEMORY of 7500000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 24 Vitaly Kuznetsov 2012-09-06 07:39:40 EDT
IMAGE ID= ami-b316a0da_us-east-1_m2.xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 17920000 > hwp MEMORY of 17100000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 25 Vitaly Kuznetsov 2012-09-06 07:40:04 EDT
IMAGE ID= ami-b316a0da_us-east-1_m2.2xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 35840000 > hwp MEMORY of 34200000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 26 Vitaly Kuznetsov 2012-09-06 07:40:49 EDT
IMAGE ID= ami-b316a0da_us-east-1_t1.micro
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 629760 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 27 Vitaly Kuznetsov 2012-09-06 07:41:20 EDT
IMAGE ID= ami-b316a0da_us-east-1_c1.xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 7340032 > hwp MEMORY of 7000000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 28 Vitaly Kuznetsov 2012-09-06 07:43:25 EDT
IMAGE ID= ami-b316a0da_us-east-1_m2.4xlarge
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.18-339.el5
Detected uname kernel version: 2.6.18-339.el5
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.18-339.el5
RESULT: title RHEL5.9-Server-20120905.0-Server-x86_64-starter-ec2 (2.6.18-339.el5xen)
        kernel /boot/vmlinuz-2.6.18-339.el5xen ro root=LABEL=/ 
        initrd /boot/initrd-2.6.18-339.el5xen.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 71680000 > hwp MEMORY of 68400000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 5.9
######################################################################################

## Summary ##
FAILURES = 2
FAILED TESTS = ## Verify no missing packages ... ## Install Development tools group...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
Comment 29 Vitaly Kuznetsov 2012-09-12 10:53:25 EDT
Created attachment 612134 [details]
ec2-50-16-176-144.compute-1.amazonaws.com.log
Comment 30 Vitaly Kuznetsov 2012-09-12 10:53:33 EDT
ec2-50-16-176-144.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory
Comment 31 Vitaly Kuznetsov 2012-09-12 10:54:02 EDT
Created attachment 612135 [details]
ec2-75-101-174-79.compute-1.amazonaws.com.log
Comment 32 Vitaly Kuznetsov 2012-09-12 10:54:11 EDT
ec2-75-101-174-79.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory
Comment 33 Vitaly Kuznetsov 2012-09-12 10:54:38 EDT
Created attachment 612136 [details]
ec2-23-20-127-24.compute-1.amazonaws.com.log
Comment 34 Vitaly Kuznetsov 2012-09-12 10:54:46 EDT
ec2-23-20-127-24.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory
Comment 35 Vitaly Kuznetsov 2012-09-12 10:57:47 EDT
Created attachment 612141 [details]
ec2-204-236-252-132.compute-1.amazonaws.com.log
Comment 36 Vitaly Kuznetsov 2012-09-12 10:57:55 EDT
ec2-204-236-252-132.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory
Comment 37 Vitaly Kuznetsov 2012-09-12 11:00:45 EDT
Created attachment 612145 [details]
ec2-174-129-74-224.compute-1.amazonaws.com.log
Comment 38 Vitaly Kuznetsov 2012-09-12 11:00:56 EDT
ec2-174-129-74-224.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory
Comment 39 Vitaly Kuznetsov 2012-09-12 11:04:53 EDT
Created attachment 612147 [details]
ec2-23-20-237-186.compute-1.amazonaws.com.log
Comment 40 Vitaly Kuznetsov 2012-09-12 11:05:02 EDT
ec2-23-20-237-186.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory
Comment 41 Vitaly Kuznetsov 2012-09-12 11:05:31 EDT
Created attachment 612148 [details]
ec2-107-22-86-229.compute-1.amazonaws.com.log
Comment 42 Vitaly Kuznetsov 2012-09-12 11:05:39 EDT
ec2-107-22-86-229.compute-1.amazonaws.com results:

:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/rhel-version
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/fetch-host-details
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/disk-size-format
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/selinux
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/package-set
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/verify-rpms
:: [   FAIL   ] :: RESULT: /distribution/ec2/Sanity/yum-full-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-general-test
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/bash-history
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/swap-file
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/system-id
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/cloud-firstboot
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/nameserver
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/passwd-group
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/inittab
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/shells
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-repos
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/yum-plugin
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/gpg-keys
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/IPv6
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/networking
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/sshd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/iptables
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/chkconfig
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/libc6-xen-conf
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/syslog
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/auditd
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/uname
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/resize2fs
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/grub
:: [   PASS   ] :: RESULT: /distribution/ec2/Sanity/memory

Note You need to log in before you can comment on or make changes to this bug.